StatusProfileHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile
Class StatusProfileHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler
          edu.internet2.middleware.shibboleth.idp.profile.StatusProfileHandler

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.profile.ProfileHandler

Deprecated.

    public class StatusProfileHandler

extends edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler

A simple profile handler that returns the string "ok" if the IdP is able to answer the request. This may be used for very basic monitoring of the IdP.

Constructor Summary
`StatusProfileHandler()` Deprecated.

Method Summary
`void` | `processRequest(org.opensaml.ws.transport.InTransport in, org.opensaml.ws.transport.OutTransport out)` Deprecated.

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler
`getRequestPaths, setRequestPaths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusProfileHandler

    public StatusProfileHandler()

  Deprecated.

Method Detail

### processRequest

    public void processRequest(org.opensaml.ws.transport.InTransport in,
                               org.opensaml.ws.transport.OutTransport out)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.